
*) 2002-12-31 (1.5.12 - 1.7.0)

 - Nikolaus Filus: Fix download urls for lmbench, mldonkey and motor
 - Jess Balint: Added 'yaboot' and 'quick' to powerpc repository
 - Some minor fixes,  Happy new year!

*) 2002-12-30 (1.5.12 - 1.7.0)

 - Nikolaus Filus: Fixed Config for broken 'tput'
 - Jess Balint: Fixed SpiralSynthModular and divx4linux
 - Alessandro Ferrari: Updated postfix-2.0.0

*) 2002-12-29 (1.5.12 - 1.7.0)

 - Piotr Esden-Tempski: Ignore errors on copying doc files
 - Piotr Esden-Tempski: Disable nls on crosscc, Added lcdemu
 - Added support for sub-menus to scripts/Config
 - Various 'stone' fixes (package manager and runlevel editor)
 - Added cache for Create-PkgList output to scripts/Config

*) 2002-12-27 (1.5.12 - 1.7.0)

 - Piotr Esden-Tempski: Various dietlibc cleanups
 - Added terminal size auto-detection to ./scripts/Config
 - Disabled termutils package (use ncurses tput instead)
 - Added check for "very evil" use of $flistdel
 - Fixed pcmcia-cs (use modules from kernel now)

*) 2002-12-24 (1.5.12 - 1.7.0)

 - Happy X-Mas to all ROCK Linux Users and Developers ...
 - Jess Balint: Disabled some broken drivers for powerpc kernels
 - Alejandro Mery Pellegrini: Small ccache bugfix (div by zero)
 - Imported *.cache files from latest full reference build

*) 2002-12-22 (1.5.12 - 1.7.0)

 - Terry Mackintosh: Added stone_mod_kernelmods.sh
 - Jess Balint: Created 'powerpc' repository and 'pdisk' package
 - Alejandro Mery Pellegrini: Added lvs & keepalived packages
 - Alejandro Mery Pellegrini: Added post- and prepatch hooks to linux pkg
 - Sebastian Jaenicke: Updated  ethereal-0.9.8
 - Tobias Rittweiler: Updated procps-3.1.5

*) 2002-12-20 (1.5.12 - 1.7.0)

 - Blindcoder: Fixed freetype and made some 'blindcoder' pkg updates
 - Jan Veninga: Fixed php and netpbm,  Jess Balint: Added hfsutils package
 - Dimitar Zhekov: Updated gcc stack smashing protector and added it to gcc3
 - Dimitar Zhekov: Various 'jimmy' repository updates, created 'tools.natvie'
 - Sebastian Jaenicke: Added glibc-2.3.1-timezone.patch
 - Alejandro P.: Updated procps-3.1.4, bin86-0.16.10 and openssl-0.9.6h
 - Nikolaus Filus: Various X11, GNOME-14 and GNOME-20 fixes
 - Tobias Rittweiler: Updated to sed-4.0.5 and removed hotfix.patch
 - Updated to mine-1.0 and added 'scripts/Build-Target -daemon'

*) 2002-12-17 (1.5.12 - 1.7.0)

 - Fixed sed package (thanks to Sebastian Jaenicke and Stefan Nickl)
 - Fixed Check-PkgFormat (ignore empty package/*/* directories)

*) 2002-12-14 (1.5.12 - 1.7.0)

 - Jess Balint: Updated sed-4.0.4 and fixed portmap init script
 - Alejandro Mery Pellegrini: Updated procps-3.1.3
 - Jan Veninga: Enabled ssl support in fetchmail and pine
 - Alejandro Mery Pellegrini: Added dir/file parameter to Create-Diff
 - Dimitar Zhekov: Updated mplayer-0.90rc1
 - Improved install (stone and bootdisk target)

*) 2002-12-13 (1.5.12 - 1.7.0)

 - Alejandro Mery Pellegrini: Added $flistroot variable
 - Rene Rebe: removed umaintained 'netscape' package
 - Rene Rebe: moved 'backbox' to michiel and updated samba-2.2.7a
 - Added ccache package and support for it in the build scripts

*) 2002-12-12 (1.5.12 - 1.7.0)

 - Nikolaus Filus: Fixed python (tkinter), postfix priority and Create-CrossCC
 - Jess Balint: Fixed gcc3, reiserfsprogs and kernel includes for PowerPC
 - Dimitar Zhekov: Fixed icewm (mkfontdir) and gtk+12 (disable xim-inst)
 - Dimitar Zhekov: Fixed mc (with-ncurses), Removed --with(out)-debug
 - Alejandro Mery Pellegrini: Updated procps-3.1.2
 - Mathieu: Updated 'mathieu' repository
 - Fixed stone list of locales (thanks to Dimitar Zhekov)

*) 2002-12-06 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: Various updates and fixes
 - Moved some etc files from net-tools to sysfiles
 - Created postsysfiles.in hook (e.g. for adding users)
 - Alessandro Ferrari: Added bridge-utils, ifenslave, vlan

*) 2002-12-03 (1.5.12 - 1.7.0)

 - Fixed Create-PkgQueue for cluster build (dep. check was broken)
 - Added dependency groups (using [E] tags in *.desc files)

*) 2002-12-02 (1.5.12 - 1.7.0)

 - Fixed minor bug in Create-DepDB (e.g. zlib had wrong dependency counter)
 - Jess Balint: Fixed problem with sed and gcc make (increase-backrefs.patch)

*) 2002-11-29 (1.5.12 - 1.7.0)

 - Sebastian Jaenicke: Added package ctwm, Some download cksum fixes
 - Rene Rebe: xfree86 fix and updated mozilla to 1.2
 - Benjamin Schieder: Added licq package
 - Tobias Rittweiler: Updaed sed-4.0.3 and hdparm-5.3
 - Pjotr Prins: Fixed tetex (bison/yacc fix)
 - Fixed $archprefix autodetection (thx to Dimitar Zhekov)
 - Alessandro Ferrari: Added stunnel
 - Michiel Hobbelman: Fixed cups+xfree86 build order
 - Updated linux-2.4.20 and linux-2.5.50

*) 2002-11-24 (1.5.12 - 1.7.0)

 - Fixed Build-CrossCC for real cross compilers
 - Added new *.cache files from latest reference build
 - Rene Rebe: Various fixes, XFree86 update to 4.2.1

*) 2002-11-22 (1.5.12 - 1.7.0)

 - Added many missing copyright tags in 'base' and 'ia32'
 - Updated copyright notices and flatted build priority numbers
 - Removed misc/old-subdist directory tree

*) 2002-11-21 (1.5.12 - 1.7.0)

 - Added 'Optimize for size and not for speed' config option
 - Fixed cmd_wrapper CMD_WRAPPER_OTHERS handling and fixed cross-dietlibc
 - Michiel Hobbelman: Fixed openssh patches

*) 2002-11-20 (1.5.12 - 1.7.0)

 - Fixed var_insert() and var_append() for empty variables
 - Rene Rebe: Updated gcc-3.2.1 and removed old fixes
 - Rene Rebe: Repository updates, added x86info to ia32
 - Fake: Fixed devfs in linux-2.5.48 (CURRENT_TIME.tv_sec)
 - Michiel Hobbelman: Updates to 'michiel' repository

*) 2002-11-19 (1.5.12 - 1.7.0)

 - Michael Obster: Fixed e2fsprogs cross-compilation
 - Even more small cross-compiler, cmd_wrapper and gcc fixes
 - Rene Rebe: Added 'gnome-14' and 'gnome-20' repositories
 - Rene Rebe: Various changes in 'rene', 'kde-30' and 'kde-31'

*) 2002-11-18 (1.5.12 - 1.7.0)

 - Pseudo-cross-compiler is now an expert option (enabled by default)
 - Finished cmd_wrapper re-design (now use new vars everywhere)
 - Added src.../cmd_wrapper.log for easier cmd_wrapper debugging
 - Jan Veninga: Various kde-30 download url fixes

*) 2002-11-17 (1.5.12 - 1.7.0)

 - Fixed a remaining bug in new gcc cross-build (syslimits.h)
 - Mathieu: Added 'mathieu' repository and downgraded gs to stable version
 - Updated: binutils-2.13.90.0.14 and linux-2.5.48

*) 2002-11-16 (1.5.12 - 1.7.0)

 - Michiel Hobbelman: Added yacc (bison) syntax fixed to xfree86
 - Rene Rebe: Various 'x11' and 'rene' updates and fixed zlib
 - Substituted '$MAKE' with 'eval $MAKE' in all *.conf files
 - More gcc build fixes and re-designed cmd_wrapper

*) 2002-11-15 (1.5.12 - 1.7.0)

 - Fixed pseudo-cross building gcc2 and gcc3 on diffrent glibcs
 - Alessandro Ferrari: Some 'alessandro' repository updates
 - Jess Balint: let glibc skip the install version test on the fl_wrapper.so

*) 2002-11-14 (1.5.12 - 1.7.0)

 - Michiel Hobbelman: Set SED="sed" (used by libtool and depcomp)
 - Nikolaus Filus and Rene Rebe: Various 'rene', 'kde-31' and 'x11' updates
 - Blindcoder: Fixed 'yacc' script, Added 'blindcoder' repository with nethack

*) 2002-11-13 (1.5.12 - 1.7.0)

 - Rene Rebe: Added kde-30 and kde-31 repositories
 - Michiel Hobbelman: Fixed some typos in PKG-CATEGORIES
 - Miguel Bolanos: Various updates in 'rene' repository

*) 2002-11-12 (1.5.12 - 1.7.0)

 - Various stone fixes (lilo and grub device autodetection, pkg manager)
 - Added cron.run -mail-to-root option to make interactive runs possible again
 - Sebastian Jaenicke: bison-1.75, e2fsprogs-1.32, libtool-1.4.3, lilo-22.3.4,
                       lvm_1.0.6, modutils-2.4.21, ncftp-3.1.5-src,
                       procps-3.1.0, Python-2.2.2.tgz, reiserfsprogs-3.6.4,
                       rpm-4.1, sed-4.0.1, openssh-3.5p1 and opera-6.10
 - Dimitar Zhekov: Various 'jimmy' repository updates
 - Nikolaus Filus: X11 Fixes (gnomemm, imlib2, fontconfig and gterm)
 - Rene Rebe: Various 'rene' and 'x11' repository updates

*) 2002-11-10 (1.5.12 - 1.7.0)

 - Fixed flist parser problem with build/ beeing a symbolic link
 - Alejandro Mery Pellegrini: Now use $patchfiles for linux2[45](-src)
 - Alejandro Mery Pellegrini: Fixed glibc (libio.h) and nssdb
 - Alessandro Ferrari: Many 'alessandro' repository updates
 - Various small fixes: blender, ogle, samba, openldap
 - Mike Gorse: Fixed man (typo in pl-nlu-10-fix.patch)
 - Tobias Rittweiler: Various 'stone' fixes and improvements

*) 2002-11-09 (1.5.12 - 1.7.0)

 - Some 'bootdisk' target and 'stone' fixes and improvements
 - Rene Rebe: Fixed OpenLDAP and xemacs packages

*) 2002-11-07 (1.5.12 - 1.7.0)

 - Have pseudo cross compiler and ANSI output enabled by default
 - Fixed gnu configure options for stages 0 and 1 (pseudo cross-compiling)
 - Rene Rebe: Many 'rene' and 'x11' repository updates
 - Rene Rebe: Added libelf and updated procps-3.0.4

*) 2002-11-05 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: Various small fixes, Added readline inputrc
 - Michiel Hobbelman: Added 'michiel' repository (with 'ruby' package)
 - Rene Rebe: Updated gnupg-1.2.1, gkrellm-2.1.0 and xemacs-21.4.10
 - Use /bin/mail instead of sendmail for sending the daily cron output
 - Rene Rebe: Many 'rene' and 'x11' repository updates,  Added prelink

*) 2002-11-01 (1.5.12 - 1.7.0)

 - Fixed some problems related to the removal of 'termcap'
 - Tobias Rittweiler: Cleanups and comments in stone_gui_dialog.sh
 - Added ld-lsb.so.1 symlink to ld-linux.so.2

*) 2002-10-31 (1.5.12 - 1.7.0)

 - Small fix in '?' handling of rockdialog, Fixed texinfo for cross-building
 - Blindcoder: fixed iproute2 for cross-building (use $(AR) in Makefiles)
 - Updated mine-0.0pre9 (fixed cross-building and md5sum checks)
 - Removed misc/sysfiles directory (now keep stuff in $confdir)
 - Removed (outdated) dump-config package (incl. misc/dump-config)
 - Added 'stone' (new setup tool) and various stone-modules

*) 2002-10-30 (1.5.12 - 1.7.0)

 - Bootdisk target: Now also create a small 2nd stage filesystem image
 - Some improvements in Create-ISO (added -mkdebug option)
 - Fixed rockdialog '?' behavior (thanks to Dimitar Zhekov)

*) 2002-10-28 (1.5.12 - 1.7.0)

 - Stefan Paletta: Patched nvi and screen to use the 'ncurses' library
 - Dimitar Zhekov: Updates i 'jimmy' repository, Various disable_nls cleanups
 - Dimitar Zhekov: Disabled broken mc gpm support, Fixed confopt autodetection
 - Bootdisk target: Use gzip compression for 2nd stage fs, various fixes
 - Various smaller (but importand) fixes for cross-building
 - Blindcoder: Honor $ROCKCFG_STRIP in modutils

*) 2002-10-25 (1.5.12 - 1.7.0)

 - Mathieu: Updated ALSA to version 0.9.0rc4
 - Added config option for building kernel modules (thx to blindcoder)
 - Disabled termcap (must be explicitely enabled by target or others)
 - Rene Rebe: Added x86_64 architecture and fixed sparc and sparc64
 - Renamed 'linux' to 'linux24' and created a 'linux25' package

*) 2002-10-22 (1.5.12 - 1.7.0)

 - Fake: Updated binutils-2.13.90.0.10 and added mips patch
 - Fixed pkg descs and fixed terminus-font pr (thx to Jimmy)
 - Fixed almost-empty docdir problem (thx to Alejandro Mery Pellegrini)
 - Dimitar Zhekov: Fixed install path of the gcc3 f77 libraries
 - Dimitar Zhekov: Added 'lesspipe' shell script to less package
 - Dimitar Zhekov: Exclude locale files using $flistdel if DISABLE_NLS is set

*) 2002-10-20 (1.5.12 - 1.7.0)

 - SysV Init scripts m4 macros now auto-generate a 'restart' option
 - Blindcoder: Now honor ROCKCFG_PKG_GLIBC22_USEIT in Build-CrossCC
 - Added xdialog,  New *.cache files from new reference build

*) 2002-10-17 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: Added setup.d/50-xfree86, added terminus-font
 - Removed old install-disks package (incl. misc/{boot,intsall}-disk)
 - Fixed glibc-2.3.1 ldconfig (the readdir/static problem)

*) 2002-10-16 (1.5.12 - 1.7.0)

 - Moved generic gcc files from package/base/gcc2 to package/base/gcc3
 - Removed 'rescue' because the 'bootdisk' target is also a rescue system
 - Updated mine-0.0pre8 and fixed 'mine' cross-build (sub-configures, etc.)
 - Updated xinetd-2.3.9 (Sebastian Jaenicke) and ncurses-5.3 (Dimitar Zhekov)
 - Alejandro Mery Pellegrini: Updated procps-3.0.3, aspell-0.50.2, bin86-0.16.9
 - Alejandro Mery Pellegrini: Fixed lcap, minicom, ppp and rsync url
 - Nikolaus Filus: Fixed imlib2 and e17

*) 2002-10-15 (1.5.12 - 1.7.0)

 - Fixed dietlibc (diet and diet-dyn: *cc-2 and *cc-3 are also compilers)
 - Fixed glibc-2.3.1 (now using install_root 'make install' option)
 - The bootdisk 2nd_stage fs is complete now (including stuff like 'dialog')
 - Create-ISO can now also create VMware configs for testing CD images
 - Build-CrossCC: Added -nolinux and -noglibc options and various fixes
 - Use $BUILD_CC, $HOST_CC and $HOSTCC as aliases for $BUILDCC
 - Updated procps-2.0.10,  Added IA-64 architecture

*) 2002-10-14 (1.5.12 - 1.7.0)

 - Linux: now run 'depmod -a -q -F /boot/System.map $ver' (in stages > 1)
 - Added ksymoops-2.4.7 package,  Cleaned up download/misc/ a bit
 - Fixed: alsa (auto-dedect gtk+), libsafe, ifhp (no gs) and irda-utils
 - Dimitar Zhekov: fixed shadow (vipw/vigr), removed CVS dirs from sysfiles
 - Nikolaus Filus: fixed/updated gqview, ghostscript and xine-dvdnav
 - Nikolaus Filus: fixed dietlibc, fixed gnome2 urls, updated gkrellm-2.0.4
 - Fixed icewm (building c++ code with $CC, reported by Nikolaus Filus)
 - Alejandro Mery Pellegrini: updated libsigc++-1.2

*) 2002-10-13 (1.5.12 - 1.7.0)

 - Many small fixes related to the new glibc version
 - The bootdisk 2nd stage filesystem is now build with glibc (not dietlibc)
 - Downgraded bison to version 1.35 (1.50 can't build binutils and others)
 - Fixed gcc3 (libstdc++) for glibc-2.3.1 (some glibc internal symbols changed)

*) 2002-10-11 (1.5.12 - 1.7.0)

 - Updated: glibc-2.3.1, autoconf-2.54, automake-1.7, bison-1.50,
            curl-7.10, dietlibc-0.21, dump-0.4b31, e2fsprogs-1.29,
            gdbm-1.8.2, gmp-4.1, iptables-1.2.7a, irda-utils-0.9.15,
            isdn4k-utils-v3.2p1, less-378, lsof_4.65, modutils-2.4.20,
            patchutils-0.2.17, pcmcia-cs-3.2.1, psmisc-21.2, quota-3.07,
            sendmail-8.12.6, slang-1.4.6, usbutils-0.11, util-linux-2.11w,
            whois_4.5.29, ircii-20020912, LPRng-3.8.15
 - Added the official db-3.3.11, bash-2.05b and readline-4.3 patches
 - Old glibc-2.2.5 is still available as package 'glibc22'
 - Gcc3 is now the default compiler for everything
 - Fixed download URLs: bzip2, gdb, glibc, nssdb

*) 2002-10-10 (1.5.12 - 1.7.0)

 - Added ./scripts/Create-ISO script (configured by target)
 - Added Create-ISO configs to 'generic' and 'bootdisk' targets
 - Build-CrossCC now also applies *.patch.$arch (thanks to fake)
 - Sirkull: Updated eel-2.0.7, gkrellm-2.0.4, gnome-applets-2.0.3
 - Sirkull: Updated gnome2-user-docs-2.0.1 and kdelibs-3.0.3a
 - Repository updates for 'tsa' and 'clifford'

*) 2002-10-09 (1.5.12 - 1.7.0)

 - Fixed bootdisk target (now create bootable iso image)
 - Fixed cc-wrapper for cross compiler (re-build tools after building cross-cc)
 - Fixed for dietlibc: bash, fileutils, tar, util-linux and textutils

*) 2002-10-07 (1.5.12 - 1.7.0)

 - Rene Rebe: Fixed Build-CrossCC script and updated make-3.80
 - Removed the now unneeded architecture/*/include directories
 - Dimitar Zhekov: GCC optimization fix for libstdc++ and gcj
 - Updated libpng-1.2.5 (Sirkull) and httpd-2.0.43 (Fake)
 - Updated blackbox-0.65.0 (Dimitar Zhekov)

*) 2002-10-04 (1.5.12 - 1.7.0)

 - Piotr Esden-Tempski: Added sone config.hlp files,  Added w3m and gqview
 - Piotr Esden-Tempski: Added selectable etc/isse-ansi file (config)
 - Fixed 00-dirtree flist creation (dev, proc, tmp, mnt and home)

*) 2002-10-03 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: Added some perl5 options to build config
 - Added TMPFS mount options for tmpfs on $builddir to build config
 - Rene Rebe: Updated gnupg-1.2.0 and apache-2.0.42, Added subversion-r3200

*) 2002-10-02 (1.5.12 - 1.7.0)

 - Fixed /etc/mtab creation in xinitrc (rootfs vs. /etc/root)
 - Replaced $USE_TWM with a generic $WINDOWMANAGER variable
 - Updated mine-0.0pre7, Some small fixes and corrections
 - Dimitar Zhekov: Fixed xman (s/geqn/eqn/ s/gtbl/tbl/ ..)
 - Piotr Esden-Tempski: Fixed wvdial for gcc3
 - Jan Veninga: Updated sweep-0.5.6 and avifile-0.7.16-20020913
 - Jan Veninga: Added tdb-1.0.6 and fixed gnome-user-docs
 - Alejandro Mery Pellegrini: Updated to lm_sensors-2.6.5
 - Sirkull: Updated Aspell language packages to version 0.50-2

*) 2002-10-01 (1.5.12 - 1.7.0)

 - Alejandro Mery Pellegrini: Download fixed and lilo-22.3.3 update
 - Dimitar Zhekov: Downgraded to groff-1.17.2 (troubles with man)
 - Added new *.cache files from latest reference build
 - Updated mine-0.0pre6 (made successfull demo installation)
 - Removed all remaining sourceforge packages

*) 2002-09-26 (1.5.12 - 1.7.0)

 - Jan Veninga: Fixed gnome build order (gnome-terminal, gnome-utils, ..)
 - Fixed some gnome packages: create <...>/share/gnome/apps/Multimedia first

*) 2002-09-25 (1.5.12 - 1.7.0)

 - Fake: Changed download URLs 'planetmirror.com' to 'public.planetmirror.com'
 - Jan Veninga: Fixed orbit and glib build-order, fixed postgresql init install
 - Sebastian Jaenicke: Repository updates (tsa)

*) 2002-09-23 (1.5.12 - 1.7.0)

 - Fixed koffice and tetex (eval needed for $makeopt, thx to Kai Schwenzfeier)
 - Dimitar Zhekov: jimmy repository updates, rock-debug bugfixes,
 - Dimitar Zhekov: small fixes in linux-src, sysfiles and setup.d/00-general
 - Dimitar Zhekov: various 'rene' and 'x11' fixes and updates

*) 2002-09-20 (1.5.12 - 1.7.0)

 - Fixed cups (athlon optimization), ogg-vorbis and xine (missing evals)
 - Fixed Build-CrossCC build error handling and tcltk (autoconf opt needed)
 - Dimitar Zhekov: Pkg selection fix for packages with '_' in the name
 - Sebastian Jaenicke: Updated Opera, Nvidia and ethereal

*) 2002-09-19 (1.5.12 - 1.7.0)

 - Added new reference build results (*.cache files)
 - Rene Rebe: 'x11' and 'rene' repository updates

*) 2002-09-17 (1.5.12 - 1.7.0)

 - Fixed (cleaned up) binary package creation
 - Various small fixes, most for cross-building

*) 2002-09-15 (1.5.12 - 1.7.0)

 - Sebastian Jaenicke: 'tsa' repository update
 - Dimitar Zhekov: various fixes and added auto-doc option
 - Build-Target: build "mine" if required for making gem packages
 - A few smaller changes and bug fixes

*) 2002-09-15 (1.5.12 - 1.7.0)

 - Piotr Esden-Tempski: added 'pinfo' package to 'esden' repository
 - Rene Rebe: 'x11' and 'rene' repository updates (gnome download urls)
 - Fixed cups, apmd, glibc (ldconfig path), dump-config and minicom

*) 2002-09-14 (1.5.12 - 1.7.0)

 - Piotr Esden-Tempski: 'esden' repository update
 - Piotr Esden-Tempski: Added help function to scripts/Config
 - Added ldconfig-glob.patch to glibc (wildcards in ld.so.conf)
 - Rene Rebe: 'x11' and 'rene' repository updates
 - Removed the auto-created files from CVS

*) 2002-09-13 (1.5.12 - 1.7.0)

 - Moved the ROCK Linux source tree into a CVS repository
 - Added -oldconfig option to scripts/Config (non-interactive)
 - Build-Tools: Re run config (-oldconfig) when sources changed
 - Piotr Esden-Tempski: dietlibc and 'esden' repository updates
 - Uuencoded architecture/*/libgcc1.a (the only remaining binary files)
 - Dimitar Zhekov: Updated motor-3.2.3 and MPlayer-0.90pre7
 - Downgraded alsa-driver to 0.9.0rc2 (rc3 doesn't build)
 - Now using $taropt in *.conf files (thanks to Rene Rebe)
 - Some fixes required for the updated stagelevel numbers

*) 2002-09-12 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: Some fixes for the disable-nls config option
 - Added bonnie++ and ddclient,  Fixed some download checksums
 - Rene Rebe: Fixed aspell and ghostscript

*) 2002-09-11 (1.5.12 - 1.7.0)

 - Hackbard: Removed --with-termlib and added --disable-termcap for ncurses
 - Fixed linux-src for tar version > 1.13 (thx to Alan J. Wylie)
 - Fixed gcc3 C++ ABI conformance (thanks to Alan J. Wylie)
 - Created 'esden' repository with 'wvdial' and 'povray'

*) 2002-09-10 (1.5.12 - 1.7.0)

 - Rene Rebe: various package updates in rene, x11 and base
 - Dimitar Zhekov: Added config option to disable the gcc3 JAVA compiler
 - Added 'cpuburn' package in 'ia32' repository
 - Stefan Koerner: updated silo-1.2.6

*) 2002-09-09 (1.5.12 - 1.7.0)

 - Created 'jimmy' (Dimitar Zhekov) repository
 - Implemented new FAQ creation system (*.faq[0-9][0-9] files)
 - Cleanup in Documentation/ directory tree

*) 2002-09-08 (1.5.12 - 1.7.0)

 - Fixed perl5 (only create *.ph files for glibc headers)
 - Fixed memtest86 related fixes in memtest86, lilo and grub
 - Fixed linux-src flist creation,  Added creation of GEM packages

*) 2002-09-07 (1.5.12 - 1.7.0)

 - Build-Pkg: Now also create var/adm/dep-debug/* files
 - Fixed some package priorities to solve dependency problems
 - Fixed flist_wrapper execl* and execvp handling (a half rewrite)

*) 2002-09-06 (1.5.12 - 1.7.0)

 - Added -notimeout option to ./scripts/Download
 - Moved all sourceforge packages from stage 6 to stage 3 to fit the 'standard'
 - Reordered stage numbers 4->7, 3->5, 2->3 (better use of the avail. space)
 - Re-asigned build priority numbers (looked already like an old basic prog)
 - Added ./scripts/Create-FlatPriPatch and ./scripts/Check-Deps-2
 - Moved some packages from 'sourcefoge' repository to new 'tsa'
 - Moved other some packages from 'sourcefoge' repository to 'rene'

*) 2002-09-05 (1.5.12 - 1.7.0)

 - Fixed otpimisation for building gcc[23] (the "xgcc problem")
 - Removed the really broken sf packages and scripts/Update-Sourceforge
 - Dimitar Zhekov: fixed the flist-creation for the 'linux-src' package
 - Dimitar Zhekov: Added verbose warning to custom configure options config
 - Dimitar Zhekov: Added disable-nls config option

*) 2002-09-03 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: fix the "missing fl_wrapper" warning in 1-install-disks
 - Fixed xawtv (broken xawtv.desktop install caused many other packages to fail)
 - Disabled heimdal package from sf since it breaks a lot and is broken itself!
 - Removed absolutely broken packages midimountain and fixed rosegarden
 - Fixed the improved automatic test for supported configure options
 - Added autofix for dead automake helper symlinks (a common problem)
 - Piotr Esden-Tempski: some dietlibc fixes and cleanups
 - Some output hook and general output format fixes in Build-Pkg
 - Fixed sylpheed, gnapster, xsane, xzgv and gps (broken *.desktop install)

*) 2002-09-02 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: Fixed custom package selection in config.in
 - Fixed a gcc vs. gcc wrapper problem (thanks to Dimitar Zhekov)
 - Moved the memtest86 package to the ia32 repository
 - Fixed mozilla (use $ver instead of "1.0.0" in mozilla.conf)
 - Fixed bugs in the var_insert, var_append and var_remove fuctions
 - Improved automatic test for supported configure options
 - Added "-repository ! foobar" option to Create-ErrList
 - Fixed minicom and iproute2

*) 2002-08-31 (1.5.12 - 1.7.0)

 - Replaced all 'shift 2' statements with 'shift ; shift' in scripts/*
 - Fixed gcc3 (gcc-var.patch was written for -p0 instead of -p1)
 - Fixed "outside basedir" check for stages 0 and 1 (allow writing to /proc)
 - Added "-job" option to ./scripts/Build-Target (for debugging only)

*) 2002-08-30 (1.5.12 - 1.7.0)

 - Updated some of the packages in the 'clifford' repository
 - Rene Rebe: updated some x11 packages

*) 2002-08-28 (1.5.12 - 1.7.0)

 - Added package mine-0.0pre4 (our new package manager for binary packages)
 - Merged in the Rene Rebe changes from 2002-08-16 to 2002-08-23

*) 2002-08-23 (1.5.12 - 1.7.0)

 - Rene Rebe: updated libart-lgpl-2.3.10, libsigc++-1.1.13, kdevelop-2.1.3
              removed -I/usr/include from the gcc3 arguments, too
              more Gnome2 updates and converted all URLs to a better mirror
              removed vorbisinfo from ROCK source (external URL)

*) 2002-08-22 (1.5.12 - 1.7.0)

 - Rene Rebe: removed an unneeded hotfix patch from util-linux
              changed document copy to copy directories (and not mix the files)
              fixed iproute2 and lprng (for gcc3)
 - Dimitar Zhekov: fixed lilo to install into $root

*) 2002-08-20 (1.5.12 - 1.7.0)

 - Rene Rebe: fixed vim, coda, xpdf and ogg-vorbis to use the abort function

*) 2002-08-18 (1.5.12 - 1.7.0)

 - Rene Rebe: updated ogg-vorbis-1.0, alsa-0.9.0rc3 and kde-3.0.3 
 - Thomas Jakobi: fixed scripts/Download to not use -I for tar

*) 2002-08-18 (1.5.12 - 1.7.0)

 - Rene Rebe: fixed several gnome2 build problems and glib2
              updated automake-1.6.3, util-linux-2.11
              disabled the broken apps in sh-utils the right way (tm)

*) 2002-08-17 (1.5.12 - 1.7.0)

 - Rene Rebe: fixed termcap, added usr/tmp to the flistdel, corrected flist
              warning to exlucde all /tmp/ directories 
              updated qt-3.0.5 and reenabled i18n for koffice
              fixed four packages to be non-optional

*) 2002-08-16 (1.5.12 - 1.7.0)

 - Rene Rebe: updated many packages (Gnome2), gettext-0.11.5
              moved some packages from rene into x11
              fixed the general gcc[2,3] options (again)
 - Updated to gcc-3.2 and binutils-2.13.90.0.4
 - Reduced the Update-Src functionality to updating the entire tree
 - Added check for stages 0 and 1: Don't install stuff outside $base

*) 2002-08-15 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: Fixed glibc for building with gcc-3.1.1
 - Fixed a gcc 3.1.1 problem with building a (pseudo) cross compiler
 - Sebastian Jaenicke: gtk+-2.0.6, ImageMagick-5.4.8, iptables-1.2.7,
                       less-374, openssl-0.9.6g and reiserfsprogs-3.6.3
 - Piotr Esden-Tempski: Some dietlibc package and target fixes
 - Updated to dialog-0.9b-20020814 (thanks to thalerim)

*) 2002-08-14 (1.5.12 - 1.7.0)

 - Finished stage 1 boot system in bootdisk target
 - First implementation of stage 2 boot system in bootdisk target (16 MB)
 - Fixed flist wrapper (fl_wrparse) for top level directories

*) 2002-08-13 (1.5.12 - 1.7.0)

 - Fixed some *.desc syntax errors in package/rene/*/*.desc
 - Removed remaining 'MAKE="$MAKE -j1"' lines (thanks to Dimitar Zhekov)
 - Moved network init scripts to iproute2 package (thx to SMP)
 - Sebastian Jaenicke: Downgraded GMP to 3.1.1 and updated librep to 0.16.1
 - Added var/adm/descs tree and Documentation/Developers/GEM-MINE
 - Added even more copyleft notes to various package files

*) 2002-08-12 (1.5.12 - 1.7.0)

 - Added ./scripts/Create-CopyPatch and added copyright
         notes to the core scripts and all packages
 - Dimitar Zhekov: Fixed and updated mplayer-0.90pre6
 - Updated gcc-3.1.1 and binutils-2.13.90.0.3
 - Fixed nvi and vim configuration for /usr/bin/vi symlink
 - Standard networking config is now based on iproute2
 - Improved color scheme for colored terminal output
 - Removed build option for -jN and all the overwrites for it

*) 2002-08-11 (1.5.12 - 1.7.0)

 - Hackbard: fixed minicom (no_po_subdir.patch) and ifhp (build order)
 - Piotr Esden-Tempski: Added Documentation/BUILD-DIETLIBC-TARGET
 - Added custom package names (e.g. ./scripts/Build-Pkg m4=my_name_for_m4)
 - Added first part of the plugable status output system
 - Refetched Sourceforge packages

*) 2002-08-06 (1.5.12 - 1.7.0)

 - Updated linux kernel and modutils to version 2.4.19
 - Fixed some download checksums

*) 2002-08-03 (1.5.12 - 1.7.0)

 - Piotr Esden-Tempski: some dietlibc (-target) fixes
 - Fixed mozilla and galeon (galon builds now but doesn't run)
 - The new bootdisk linuxrc binary should be ready now (untested)
 - Removed all cvs checksums (thanks to Sebastian Jaenicke)

*) 2002-07-30 (1.5.12 - 1.7.0)

 - Added -update option to ./scripts/Build-Pkg (save modified files)
 - Finished Create-UpdList and Update-system (keep the system up to date)
 - Fixed pango (freetype2) and 00-dirtree (on rebuild)

*) 2002-07-29 (1.5.12 - 1.7.0)

 - Finished new reference build and updated all *.cache file
 - Make symbolic links for glib and gtk in /usr if gnome2 prefix is different
 - Fixed: gle, guile, imagemagick, libgd, mozilla and add_flist()
 - Refetched Sourceforge packages

*) 2002-07-27 (1.5.12 - 1.7.0)

 - Build bash even without termcap in stage 1
 - Fixes in: bash, cpio, gcc[23], groff, netpbm, xaw3d
 - Some more bits done on the bootdisk (install disk) target

*) 2002-07-25 (1.5.12 - 1.7.0)

 - Moved packages ghostscript, libgd and netpbm from base to x11
 - Added [O] *.desc flag (add commands as they where in *.conf files)
 - Fixed GCC/KCC executeable names so diffrent wrappers are used
 - Fixed apmd and isdn4k-utils for non-x11 environments
 - Updated Sourceforge packages

*) 2002-07-24 (1.5.12 - 1.7.0)

 - Updated: alsa-0.9.0rc2, bash-2.05b, binutils-2.12.90.0.15,
            cpio-2.5, curl-7.9.8, dump-0.4b29, file-3.39, gdb-5.2.1,
            gettext-0.11.3, ghostscript-7.21, groff-1.18, gsl-1.2, 
            ifhp-3.5.10, libsafe-2.0-16, LPRng-3.8.13, lvm_1.0.5,  
            man-pages-1.52, man-1.5k, modutils-2.4.18, netpbm-10.5,
            nfs-utils-1.0.1, pcmcia-cs-3.1.34, quota-3.06, readline-4.3,
            sendmail-8.12.5, tcsh-6.12.00, units-1.80
 - Various other cross building and gcc fixes and cleanups

*) 2002-07-23 (1.5.12 - 1.7.0)

 - Cross-build fixes: gcc, linux, dietlibc and the core-scripts
 - Install (rescue) disks cleanups and fixes

*) 2002-07-22 (1.5.12 - 1.7.0)

 - Fixes in 'use_gcc' for cc wrapper configuration (thx to Dimitar Zhekov)
 - Fixed var_remove function in build-functions (thx to Daniel Chabrol)
 - Fixed Build-Tools for cross building (create the right wrappers)

*) 2002-07-19 (1.5.12 - 1.7.0)

 - Added status message to CVS checkout in ./scripts/Download
 - Michiel Hobbel: Fixed util-linux (hotfixes.patch update)
 - Moved the cross compiler to it's own tools subdirectory
 - Added first version of the bootdisk target (stull much work to do)
 - Various minor fixes and changes in base packages

*) 2002-07-17 (1.5.12 - 1.7.0)

 - Rene Rebe: Added cvs checkout to scripts/Download
 - Improved cvs checkout and added var. timeouts to scripts/Download

*) 2002-07-15 (1.5.12 - 1.7.0)

 - Piotr Esden-Tempski: fixed fl_stparse.c for dietlibc
 - Piotr Esden-Tempski: updated the dietlibc target documentation
 - Rene Rebe: some updates and fixes, added aboot into the new alpha repository
 - Rene Rebe: more updates, fixed the gcc option generation, added E17
 - Sirkull: updated most video players
 - Rene Rebe: updated kde (3.0.2) and fixed lilo URL
 - Stefan Gutschireiter: fixed memtest86 URL

*) 2002-06-28 (1.5.12 - 1.7.0)

 - Updated OpenSSH-3.4p1, Automake: Create /usr/share/automake symlink
 - Fixed dietlibc, screen, libtiff, freetype1 and orbit2
 - Added 'XTrace' Config option and -xtrace command line switch
 - Pjotr Prins: Some fixes and cleanups in the documentation

*) 2002-06-27 (1.5.12 - 1.7.0)

 - Updated OpenSSH-3.3p1, Bacterium-0.2.99 (and added bacterium_gui)
 - Improved srcdir detection (also log files extracted by tar for this now)
 - Fixed creation of strip-wrapper (thanks to Yudhi Kusnanto)
 - Added better default-values for $makeopt and $makeinstopt
 - GCC2 Hotfix for setting the 'gcc-lib' pathname in stage 1
 - Removed many unneeded $srcdir and $srctar settings

*) 2002-06-25 (1.5.12 - 1.7.0)

 - Stefan Paletta: Enabled privilege separated OpenSSH (ask in setup script)
 - Default kernel config: now use ide-scsi for atapi cdroms (support for CDRs)
 - Added *_WRAPPER_BYPASS variable for deactivating cmd wrappers
 - Dimitar Zhekov: Hotfix for glibc initfini.c and cc_wrapper

*) 2002-06-23 (1.5.12 - 1.7.0)

 - Frank: fixed ghostscript, jack and libtiff
 - Sebastian Jaenicke: updated cups, galeon and gkrellm
 - Rene Rebe: several URL adaptions and fixes
 - Fixed Build-Tools and fl_wrapper.c for Intel CC
 - Fixed many $srcdir settings in 'base' repository

*) 2002-06-21 (1.5.12 - 1.7.0)

 - Improved fallback for not available gcc-[23] binary names
 - Implemented icc package (still use gcc3 for glibc and binutils)
 - Fixed various icc header problems: fileutils, make, gawk and tar

*) 2002-06-20 (1.5.12 - 1.7.0)

 - Added *.desc file for Intel CC package (rest missing yet)
 - Added package 'BacteriuM' (in 'clifford' pkg repository)
 - Added autodetection for gcc-[23] and fallback if not available
 - Fake: Added advanced optimasation options for mips
 - Added config-*.in and parse-confog-* files (defining include-order)

*) 2002-06-18 (1.5.12 - 1.7.0)

 - Rene Rebe: Even more 'x11' and 'rene' repository updates and fixes
 - Sebastian Jaenicke: Updated bind-9.2.1, lilo-22.3.1 and Python-2.2.1
 - Added mysql, mycc and mysql-perl ('clifford' repository)
 - Added automatic execution of 'perl Makefile.PL' if required
 - The whole semi-inteligent build code is now in build_this_pkg() and
             can be replaced or used multiple times using $mainfunction
 - Call gcc as gcc-[23] and g++ as g++-[23] to force use of config setting
 - Re-activated hard optimasation for stages 0+1 (as we are using gcc-[23] now)
 - Force debug info if the "strip debug information" option is unselected
 - Added $patchopt build variable,  Refetched sourceforge packages

*) 2002-06-17 (1.5.12 - 1.7.0)

 - Rene Rebe: Many 'x11' and 'rene' repository updates and fixes
 - Added mysql, mysql-perl and mycc to clifford repository
 - Added new (much cleaner and better) $srctar and $srcdir autodetection

*) 2002-06-13 (1.5.12 - 1.7.0)

 - Fixed gcc3 vs. gnu configure problem with -I/usr/local/include (also
         known as the "perl5 doesn't build with gcc3 problem")
 - Automatically add "--disable-nls" to $confopt in stages 0 and 1
 - Added check for $targetdir/pkg_$pkg.patch and $targetdir/pkg_$pkg.conf

*) 2002-06-12 (1.5.12 - 1.7.0)

 - Rene Rebe: some intel -> ia32 fixes, updated man-pages-1.51,
              other fixes and updates in 'rene' and 'x11'
 - No optimisation in stages 0 and 1 (native gcc might be different)
 - Moved kernel patches to package/base/linux and added kernel trg hook
 - Config script: space-key can now be used to select items

*) 2002-06-11 (1.5.12 - 1.7.0)

 - Applied Linuxtag fixes from Sebastian Jaenicke and Rene Rebe
 - Renamed pkg repository 'extra1' to 'rene' and 'extra2' to 'clifford'
 - Renamed architecture 'intel' to 'ia32' (an 'ia64' wil follow soon)
 - Added package repositopries 'ia32' and 'sparc'

*) 2002-06-06 (1.5.12 - 1.7.0)

 - Added support for systems where mount doesn't understand the '-l' option
 - Always use --host _and_ --build as configure options (needed e.g. by gcc)
 - Re-added 'set -e' to the main build script ("trap" doesn't always work)
 - Added texinfo to stage 1 (needed to build binutils)

*) 2002-06-04 (1.5.12 - 1.7.0)

 - Updated: binutils-2.12.90.0.9, hdparm-5.2, hercules-2.16.2,
            netpbm-10.0, sendmail-8.12.4, soundtracker-0.6.6,
            spiralsynthmodular-0.1.0b2, tse3-0.2.3, wget-1.8.2,
            whois_4.5.28, man-pages-1.50
 - Added tar --no-same-owner patch and use it in some packages
 - Use 700 (rwx------) permissions on src.* and build/*/root
 - Rene Rebe: some x11 and extra1 updates
 - Refetched sourceforge packages

*) 2002-06-03 (1.5.12 - 1.7.0)

 - Sebastian Jaenicke: Updated mutt-1.4i,  Mike Gorse: build Lynx with SSL
 - Improved scripts/Create-ErrList script (-showerr and -showtree)
 - Imported new reference build data (from an athlon-xp build)
 - scripts/Cleanup: automatically remove *~ backup files
 - Fixed timezone ($TZ) setting in choot builds

*) 2002-06-01 (1.5.12 - 1.7.0)

 - Only run the autogen script (builtin or package) on request
 - Remove any gcc -m* options from the package (thanks to Mike Gorse)
 - Rene Rebe: updated libxml, libxslt, gimp and xscreensaver
 - Fixed cross-building dietlibc (a hack - like dietlibc itself :-)
 - Dont't modify the KCC option list with the KCC_WRAPPER if it's gcc[23]
 - Refetched sourceforge packages

*) 2002-05-31 (1.5.12 - 1.7.0)

 - Added nasm to base (for lilo) and fixed joe (thanks to Mike Gorse)
 - Added auto-run of autogen scripts (autogen=0 to disable)
 - Added kernel compiler kcc (e.g. for sparc64 architecture)
 - Added seperate wrappers for cc, cxx, kcc and f77
 - Redesigned kernel config creation and cc wrapper config
 - Added misc/archive/hello.f (fortran 77) and hello.java
 - New (bigger) list of intel sub-architectures
 - Fixed: ed, ghostscript, m4, wdiff and dietlibc
 - Seperate tools/ directory for chroot environment
 - Fixes and cleanups in ./scripts/Build-CrossCC

*) 2002-05-29 (1.5.12 - 1.7.0)

 - Rene Rebe: various fixes and updates in x11 and extra1
 - Rene Rebe: various small base fixes,  updated hdparm-5.1
 - Rene Rebe: added grub setup script

*) 2002-05-28 (1.5.12 - 1.7.0)

 - Updated: automake-1.6.1 autoconf-2.53, joe-2.9.7, psmisc-21,
            ntp-4.1.1a, ghostscript-7.05
 - Fixed some download and/or check-pkgversion URLs
 - Refetched sourceforge packages

*) 2002-05-27 (1.5.12 - 1.7.0)

 - Updated: curl-7.9.7, dialog_0.9b-20020519, file-3.38, gawk-3.1.1, gmp-4.1,
            ifhp-3.5.8, lilo-22.3, LPRng-3.8.12, lvm_1.0.4, mtr-0.51,
            mutt-1.3.99i, ucd-snmp-4.2.5, openssh-3.2.3p1, patchutils-0.2.14
 - Rene Rebe: various updates fixes, added memtest, expat
 - Sebastian Jaenicke: updated libpng, libxslt
 - Piotr Esden-Tempski: fixed mozilla

*) 2002-05-25 (1.5.12 - 1.7.0)

 - Added new *.cache files and dependency database from new reference build
 - Stefan Koerner: silo (sparc boot loader) fixes
 - Dimitar Zhekov: fixed maintainer flag of kbd package
 - Rene Rebe: various x11 and other fixes
 - Sebastian Jaenicke: updated dhcp-3.0pl1

*) 2002-05-23 (1.5.12 - 1.7.0)

 - Rene Rebe: Added sparc64 stuff, updates in x11 and extra1,
              fixed bash for cross-building, small gcc[23] fixes,
              small glibc fixes, better etc/{modutils.conf,devfsd.conf},
              updated openssh-3.2.2p1 and util-linux-2.11r
 - Updated: eel-1.1.15, gedit2-1.120.0, gnome-applets-1.103.0,
            gnome-desktop-1.5.20, nautilus-1.1.17, gnome-panel-1.5.22,
            gnome-utils-1.106.0, libgnome-1.117.1, libgnomeui-1.117.1,
            ORBit2-2.3.110
 - Improved ./scripts/Create-ErrList,  Use 'pwd -P' instead of /usr/bin/pwd
 - Fixed handling of '.' in config package selection and other minor fixes
 - Fixed gtkmm1 (gcc3_fixes.patch) and libpng (priority)

*) 2002-05-21 (1.5.12 - 1.7.0)

 - Added './scripts/Build-Pkg -pkgdir <pkgdir>' for packages outside the
         official source tree (used for $confdir and $archdir)
 - Refetched sourceforge packages

*) 2002-05-18 (1.5.12 - 1.7.0)

 - Cliffords age changed (I'm now 22 and celebrated with > 40 kids my
             birthday in a summer camp - www.noe.kinderfreunde.at)
 - Updated gcc-3.1 (final),  Don't pack the kernel source tar in linux-src
 - Rene Rebe: various gnome2 updates

*) 2002-05-14 (1.5.12 - 1.7.0)

 - Rene Rebe: updated gcc-3.1-20020510 and a small typo fix in 'linux'
 - Rene Rebe: updated to gnome2 (still not stable)
 - Moved package selection to the expert section
 - Refetched sourceforge packages

*) 2002-05-13 (1.5.12 - 1.7.0)

 - Rene Rebe: fixed various download links
 - Piotr Esden-Tempsk: dietlibc updates (net-tools)
 - Dimitar Zhekov: fixed bash (readline minor version)
 - Various small fixes and improvements

*) 2002-05-11 (1.5.12 - 1.7.0)

 - Create-ParaSim: added -x11 option for gnuplot output
 - Piotr Esden-Tempski: *.desc fixes, fixed bash for dietlibc
 - Updated gcc-3.1-20020508,  Refetched sourceforge packages

*) 2002-05-10 (1.5.12 - 1.7.0)

 - Fixed cache file creation, Improved debugging
 - Rene Rebe: Category name updates (singular -> plural)
 - Improved Create-ParaSim,  Fixed package selection tool
 - Fixed gcc3 dependencies (don't run the fixinc script)
 - Improved Create-DepDB and Create-PkgQueue
 - Refetched sourceforge packages

*) 2002-05-08 (1.5.12 - 1.7.0)

 - Improved and fixed the package selection tool in the config menu
 - Improved the 'additional gnu configure options' config option
 - Added ./scripts/Create-ParaStatus and ./scripts/Create-ParaSim
 - Added ./scripts/Create-DebDB (and scripts/dep_db.txt)
 - Improved Create-PkgQueue (much better priority detection)
 - Reference build cleanups,  Always create cache files (var/adm/cache)

*) 2002-05-07 (1.5.12 - 1.7.0)

 - Piotr Esden-Tempski: Fixed e2fsprogs for dietlibc
 - Piotr Esden-Tempski: Removed utmpdump from sysvinit
 - Rene Rebe: new linux and linux-src packages
 - Dimitar Zhekov: Fixed system.init and 00-dirtree
 - Fixed system.init and etc/profile (thx to Dimitar)
 - Fixed 'bash' for stage 1 and cross-building
 - Another set of cluster- and various other fixes
 - Optimise the queue-order when doing a cluster build
 - Added 'Disable packages which are marked as broken' config option
 - Added 'Additional Package Selection' in config menu
 - Refetched sourceforge packages

*) 2002-05-06 (1.5.12 - 1.7.0)

 - Piotr Esden-Tempski: Updated dietlibc-0.17
 - Piotr Esden-Tempski: Fixed sysvinit and util-linux for dietlibc
 - Fixed ./scripts/Create-PkgQueue,  Replaced Build-Client with Build-Job
 - Various improvements in the code for building on a cluster
 - Create-Links: Added options -build and -config (linking build/ and config/)
 - Cleanup: added some options,  Added 'Always clean up' config option
 - Removed Documentation/{Guide/,Misc-Stuff/} (that's also online)
 - Added new Documentation/{BUILD,BUILD-CROSS,BUILD-CLUSTER}

*) 2002-05-04 (1.5.12 - 1.7.0)

 - Redesigned scripts for chroot build (Build-Pkg and build-functions)
 - Adopted Cleanup for new chroot build system (much cleaner now)
 - Added Paralell (cluster) build (Build-Target + Build-Client)

*) 2002-05-03 (1.5.12 - 1.7.0)

 - Minor changes and fixes in various build scripts
 - Fixed alsa and cups,  Refetched sourceforge packages
 - New *.cache file from latest reference build
 - Fixed Build-Pkg bug which caused X11 to fail in stage 9
 - Andreas Huebner: Added X420src-3 to XFree86

*) 2002-05-02 (1.5.12 - 1.7.0)

 - Fixed: autofs, dialog, ghostscript, grub, indent, netkit-telnet,
          isdn4k-utils, nssdb, ntp, openssh and uudeview
 - Improved runlvedit (use some of the new dialog(1) features)
 - Improved Build-Tools for parallel builds (fixed race condition)
 - Improved Create-ErrList,  Added src.$pkg.*/debug.sh for debugging

*) 2002-05-01 (1.5.12 - 1.7.0)

 - Changed the $confopt syntax (contains e.g. '$datadir' now an requires eval)
 - Fixed bison,  Some fixes for dietlibc (binutils, gcc and many others)
 - Bash: echo requires '-e' for substituting \<..>,  Refetched sf packages
 - Gcc2 vs. gcc3 c++ fixes,  Also building the dynamic part of dietlibc

*) 2002-04-30 (1.5.12 - 1.7.0)

 - Piotr Esden-Tempski: more spelling-corrections in HACKING-HOWTO
 - Updated: alsa-0.9.0rc1, binutils-2.12.90.0.7, gdb-5.2, gettext-0.11.2,
            gnupg-1.0.7, grub-0.92, hdparm-4.8, indent-2.2.8, modutils-2.4.16,
            quota-3.05, whois_4.5.26, lsof_4.63, uudeview-0.5.18
 - Matthias Langhammer: Fixed zip and unzip for make -jN (where N > 1)
 - Cleaned up format of *.desc files and added missing checksums
 - Updated dialog_0.9a-20020309a (debian tree)

*) 2002-04-29 (1.5.12 - 1.7.0)

 - Fake: libpng header names fix (create some symlinks)
 - Piotr Esden-Tempski: spelling-corrections in HACKING-HOWTO
 - Dimitar Zhekov: two small fixes in $createdocs handling
 - Added base/patchutils-0.2.12 (tools for working with patches)

*) 2002-04-26 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: Fixed pciutils (removed no_werror.patch)
 - Cheng Pan: Fixed inetd.init (typo: replace ` with ')
 - Rene Rebe: Updated categories reference file
 - Fixes and cleanups in gcc-2 and gcc-3

*) 2002-04-25 (1.5.12 - 1.7.0)

 - Fixed: util-linux, curl and tree,  Updated libsafe-2.0-14
 - Dimitar Zhekov: Better strip implementation using cc_wrapper
 - Added ./scripts/Check-Deps script for checking package build order
 - Zauron: Fixed netpbm, libgd, xfig and xine libpng header paths

*) 2002-04-24 (1.5.12 - 1.7.0)

 - Updated: automake-1.6.1, bin86-0.16.3, bison-1.35, curl-7.9.6,
            diffutils-2.8.1, dump-0.4b28, ifhp-3.5.7, net-snmp-4.2.4,
            ntp-4.1.1, pciutils-2.1.10, sendmail.8.12.3, silo-1.2.5,
            tree-1.4b2, util-linux-2.11q, whois_4.5.25
 - Added ./scripts/Create-PkgUpdPatch (yet another helper script)
 - Zauron: fixed a bug in bison build which make binutils fail

*) 2002-04-23 (1.5.12 - 1.7.0)

 - Added ./scripts/Create-ErrList (easily show errors in the right order)
 - Updaed binutils-2.12.90.0.4,  Some more $docdir creation fixes
 - Rene Rebe: various x11 and extra1 updates
 - Fake: fixed docdir creation and libpng

*) 2002-04-22 (1.5.12 - 1.7.0)

 - Cross-compile fixes for util-linux, fileutils and dietlibc
 - Dimitar Zhekov: Fixed howto permissions, dirtree links and docdir creation
 - Added build-pid file (src.*/build.pid) and fixed stage1 $root setting
 - Added g77 and gcj to the bin-list for the cc-wrapper program
 - Recreated architecture/{powerpc,alpha,sparc}/include
 - Moved configuration to config/<config-name>/* (multi-config)
 - Added '-cfg' option to all scripts reading a configuration
 - Refetched sourceforge packages,  Fake: Updated exim-4.04

*) 2002-04-21 (1.5.12 - 1.7.0)

 - Imported mips architecture definitions from fakes indy
 - Implemented "pseudo-cross-compiler" for native builds

*) 2002-04-20 (1.5.12 - 1.7.0)

 - Download script: check if 'file' output matches filename extension
 - Acces $prefix and other dir vars in init scripts thru D_* macros
 - Added build variables $datadir, $mandir and $infodir
 - Fixed/improved Create-CrossCC and new cross-build option
 - Renamed Create-CrossCC in Build-CrossCC

*) 2002-04-19 (1.5.12 - 1.7.0)

 - Refetched sourceforge packages,  Also set $AWK in parse-config
 - Fixes (and cleanups) in flist wrapper library (for SGI MIPS)
 - Wrote new ./scripts/Create-CrossCC and added a cross-build option

*) 2002-04-18 (1.5.12 - 1.7.0)

 - Rene Rebe: Various x11 and extra1 updates and fixes
 - Added *.cache files from first reference build
 - Some small bugfixes (*.cache, doc-createion, various others)

*) 2002-04-17 (1.5.12 - 1.7.0)

 - Added ./scripts/Create-PkgQueue (list of packages which could be built next)
 - New pkg_loop function based on ./scripts/Create-PkgQueue
 - Added initial *.cache files to package/*/*/,  Refetched sourceforge packages

*) 2002-04-16 (1.5.12 - 1.7.0)

 - Improved auto-copying of documentation files (thanks to Dimitar Zhekov)
 - Rene Rebe: Various x11 and extra1 updates, minor Build-Pkg changes
 - Finished strace-based flist creation (still needs some testing)
 - Added reference target for creating cache files and other stuff

*) 2002-04-15 (1.5.12 - 1.7.0)

 - Continued development of strace-based flist-creator (90% done now)
 - Rene Rebe: Updated devfsd-1.3.25 and bzip2-1.0.2,  Added FDL license
 - Rene Rebe: Many fixed and updates in x11 and extra1
 - Fixed dependency detection (once again)

*) 2002-04-13 (1.5.12 - 1.7.0)

 - Some improvements in the m4 macros for the nice init script output
 - Added var_append() and var_insert() helper functions
 - Some flist creation improvements (added $postflist, see pkg man)
 - Started 3rd flist-creator: Use strace() to generate flist

*) 2002-04-12 (1.5.12 - 1.7.0)

 - Configureable init-style (raw output or dROCK like nice output)
 - Zauron: Fixed alsa, openssl, pspell, raidtools, docbookx, lm_sensors,
                 neon, squid and glib (short bugfixes and *.desc fixes)
 - Added short description of the *.init file format to the HACKING-HOWTO
 - Piotr Esden-Tempski: Small enhancements to Create-Diff and Download
 - Converted /etc/rc.d/init.d/{boot,down} to a SysV Init Script
 - Public domain ksh bugfix for scripts/Check-PkgFormat

*) 2002-04-11 (1.5.12 - 1.7.0)

 - Apply patches with -p1 (and not -p0) and don't use -N
 - Fixed sendmail (user smmsp not needed, use group mail)
 - Improved automatic doc creation (including *.doc in $confdir)
 - Rene Rebe: various $docdir fixes for many packages
 - Fixed rsync (strip.patch),  Refetched sourceforge packages
 - Renamed build-*.* to build/*/* (support for longer $ROCKCFG_ID)
 - Remove dirs created by $createprefix if they are left empty
 - Added some more chapters to the HACKING-HOWTO
 - Fixed some *.desc file in x11 and extra1

*) 2002-04-10 (1.5.12 - 1.7.0)

 - Read parse-config files from arch, package and target after setting $pkg
 - Renamed arch-conf/ in architecture/,  Use m4 instead of cpp for kernel.conf
 - Atomatically copy documentation files to $docdir if $cratedocs is set to 1

*) 2002-04-09 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: "P_" (download) fixes in modules and gs
 - Rene Rebe: check for curl (and not wget) in Check-System
 - Sebastian Jaenicke: Updated libsafe-2.0-13, LPRng-3.8.10, lsof_4.62,
                       ncftp-3.1.3, rsync-2.5.5 and texinfo-4.2
 - Matthias Langhammer: Fixed extra1/gps checksum
 - Armijn Hemel: tiny fix for linux package (make dep)
 - Removed howtos checksums (use XXX instead)
 - Add prefix to Packages file ("/" = autodetect)
 - Fixed scripts/Download (mkdir -p src/)
 - Refetched sourceforge packages

*) 2002-03-31 (1.5.12 - 1.7.0)

 - GCC[23]: create symlinks for cc, c++, f77 and cpp
 - Dimitar Zhekov: Fixed creation of $root/var/adm/logs
 - Dimitar Zhekov: Workarround for pdksh bug in Build-Pkg
 - Dimitar Zhekov: minor bugfix in flist creation fo 00-dirtree
 - Rene Rebe: various x11 and extra1 updates

*) 2002-03-27 (1.5.12 - 1.7.0)

 - Added /mnt/floppy and /mnt/cdrom (and fstab entries for them)
 - Added soundtracker (tracker) and xmp (module file player) to extra2
 - Fixed fileutils (chmod bug in modchange.c)

*) 2002-03-26 (1.5.12 - 1.7.0)

 - Rene Rebe: Fixed kde, improved qt
 - Better Ctrl-C handling in ./scripts/Download
 - Replaced gcc-wrapper with generic cmd_wrapper
 - Added hercules (System/370, ESA/390, and zServer Emulator)
 - Minor fixes in Download, Build-Pkg and glibc package

*) 2002-03-25 (1.5.12 - 1.7.0)

 - Rene Rebe: Various fixes and updates in extra1 and x11
 - Improved ./scripts/Create-CkSumPatch (not needing download/INDEX anymore)
 - Improved ./scripts/Puzzle (fast and complete download/INDEX creation)

*) 2002-03-24 (1.5.12 - 1.7.0)

 - Improved Download script (better Ctrl-C handling, etc.)
 - Fixed flist wrapper (bug in setting $LD_PRELOAD in Build-Pkg)
 - Improved parsing of *.desc files,  Some cleanups in Build-Pkg
 - Rene Rebe: Fixed package categories in base, x11 and extra1
 - Fixed (and indented with Create-DescPatch) all *.desc files in base
 - Improved Check-PkgFormat (check for valid [STATUS] and [LICENSE])
 - Update-Sourceforge: preserve CVS subdirs so "cvs commit" is possible
 - Renamed download/[TP]_* to download/*,  Refetched sourceforge packages
 - Fixed and improved ./scripts/Check-PkgVersion
 - Updated: binutils-2.12.90.0.1, bison-1.34, dietlibc-0.16, e2fsprogs-1.27,
            gettext-0.11.1, grep-2.5, gsl-1.1.1, iptables-1.2.6a, rpm-4.0.4,
            LPRng-3.8.9, man-pages-1.48, modutils-2.4.15, mtr-0.49,
            mutt-1.3.28i, netpbm-9.25, pcmcia-cs-3.1.33, quota-3.04,
            termcap-1.3.1, unzip550, util-linux-2.11o, whois_4.5.22,
 - Refuse building broken packages if ROCKCFG_PARANOIA_CHECK is set
 - Fixed gcc wrapper (endless-loop when called with full path name)

*) 2002-03-23 (1.5.12 - 1.7.0)

 - Rene Rebe: KDE 3.0rc3 update, mozilla-0.9.9, galeon-1.2.0 and other stuff
 - Even more gcc3 fixes (libgcc_s.so install, ncurses)
 - Moved lib/ to build.<id>.tools (scripts/Build-Tools, misc/tools-source)
 - Added dietlibc subdistribution (not functional),  Improved gcc wrapper
 - Renamed Build-Tar to Build-TarBz2 (avoid conflict with Build-Target)
 - Added scripts/Check-PkgFormat and scripts/Create-DescPatch
 - Added short descriptions for all scripts to the HACKING-HOWTO

*) 2002-03-22 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: fixed lib/{wrparse,getfiles} (fgets)
 - Dimitar Zhekov: fixed gcc/gcc3 .conf file (.. xargs strip)
 - Automatically append *.patch.$arch to $patchlist
 - Added pkgloop() and pkgloop_action() target helpers
 - Renamed 'gcc' to 'gcc2' and other gcc[23] fixes

*) 2002-03-18 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: Updated and fixed shadow-4.0.3
 - Dimitar Zhekov: Fixed gpm-1.20.0, Added Cleanup -full
 - Removed devlevel.txt files and check in Cleanup
 - Dimitar Zhekov: filenames-with-spaces fix
 - Refetched sourceforge package repository

*) 2002-03-16 (1.5.12 - 1.7.0)

 - Renamed rock-*, dist-* and log-* to build-*.{root,dist,pkgs}
 - Fixed dependency auto-detection,  Downgraded autoconf-2.52

*) 2002-03-14 (1.5.12 - 1.7.0)

 - Sebastian Jaenicke: Updated openssh-3.1p1
 - Sebastian Jaenicke: Updated zlib-1.1.4 and rsync-2.5.3
 - Rene Rebe: various extra1 (package) and desktop (target) updates
 - Updated rsync-2.5.4,  Added fltk-1.1.0b11 to extra2

*) 2002-03-13 (1.5.12 - 1.7.0)

 - Improved 'gcc' and 'gcc3' - now it's possible to install both
 - Refetched sourceforge package repository

*) 2002-03-09 (1.5.12 - 1.7.0)

 - Rene Rebe: Updated autoconf-2.53 and automake-1.6
 - Rene Rebe: Fixed modules, Various x11 and extra1 updates
 - Fixed fileutils (ginstall) and xfree86 (/lib/cpp)

*) 2002-03-09 (1.5.12 - 1.7.0)

 - Fixed old-file detection in 'pkg-update'
 - Old $target and $build are now $arch_target and $arch_build
 - Other minor fixes and cleanups

*) 2002-03-08 (1.5.12 - 1.7.0)

 - Improved/Fixed dependency detection,  Added dietlibc-0.15
 - Updated curl-7.9.5 and fixed progress-bar (thanks to Daniel Stenberg)
 - Added some packages to extra2 (galan, mixmagic and sweep)
 - Fixed scripts/Update-Src,  Minor cleanups

*) 2002-03-07 (1.5.12 - 1.7.0)

 - Sebastian Jaenicke: Fixed scripts/Update-Src 
 - Created package tree 'extra2' (maintained by clifford)
 - Improved the automatic creation of the kernel config
 - Added midimountain and spiralsynthmodular in extra2
 - Rene Rebe: Updated shadow-4.0.2, gpm-1.20.0, gsl-1.1,
              ifhp-3.5.6, libsafe-2.0-11, texinfo-4.1
 - Rene Rebe: Some updates in extra1 and x11
 - Rene Rebe: Added first version of 'desktop' target
 - Added 'additional gnu autoconf options' config-option
 - Added grub splash screen and default configuration file

*) 2002-03-05 (1.5.12 - 1.7.0)

 - Fixed small ./scripts/Config bug (esc-esc in choice-box)
 - Updated gcc-3.0.4,  Added more empty headers to HACKING-HOWTO

*) 2002-03-04 (1.5.12 - 1.7.0)

 - Improved scripts/Config (added ROCKCFG_EXPERT and ROCKCFGSET_*)
 - Fixed ghostview,  Refetched sourceforge package repository

*) 2002-03-02 (1.5.12 - 1.7.0)

 - Rene Rebe: Some cleanups in x11/ and extra1/
 - Rene Rebe: Fixed xcdroast, Added xine-dvdnav
 - Added Documentation/Developers/HACKING-HOWTO
 - Added ./scripts/{Create-Diff,Create-CkSumPatch}

*) 2002-03-01 (1.5.12 - 1.7.0)

 - Dimitar Zhekov: Fixed scripts/Config on systems which need 'echo -e'
 - Rene Rebe: Fixed/updated some packages from extra1 and x11
 - Refetched new (1.7) sourceforge package repository

*) 2002-02-28 (1.5.12 - 1.7.0)

 - Sebastian Jaenicke: Fixed lsof
 - Fixed alsa (and enabled building alsa-tools)
 - Fixed util-linux, rpm, cdrtools, netpbm
 - Andreas Huebner: nobody/nogroup has now uid/gid 65534

*) 2002-02-27 (1.5.12 - 1.7.0)

 - Updated: alsa-0.9.0beta12, bin86-0.16.2, binutils-2.11.93.0.2,
            bison-1.33, curl-7.9.4, e2fsprogs-1.26, gdb-5.1.1,
            genromfs-0.5.1, gettext-0.11, gmp-4.0.1, hdparm-4.6,
            ifhp-3.5.5, indent-2.2.7, busybox-0.60.2, libpcap-0.7.1,
            LPRng-3.8.8, lsof_4.61, man-1.5j, miscfiles-1.3,
            modutils-2.4.14, mtr-0.47, mutt-1.3.27i, net-snmp-4.2.3,
            netpbm-9.24, pcmcia-cs-3.1.31, reiserfsprogs-3.x.1b,
            rpm-4.0.3, screen-3.9.11, slang-1.4.5, sysvinit-2.84,
            tcpdump-3.7.1, tree-1.4b1, util-linux-2.11n, wget-1.8.1,
            whois_4.5.21, wu-ftpd-2.6.2
 - Improved ./scripts/Check-PkgVersion, Fixed ./scripts/Download

*) 2002-02-25 (1.5.12 - 1.7.0)

 - Rene Rebe: Updated devfsd-1.3.24, xscreensaver-4.01 and man-pages-1.47
 - Rene Rebe: One more package descriptions update (categories)
 - Updated linux-2.4.18,  Added ./scripts/Check-PkgVersion

*) 2002-02-23 (1.5.12 - 1.7.0)

 - Fixed Download (same patch also submitted by Piotr Esden-Tempski)
 - Fixed Zero-Checksums,  Refetched Sourceforge Packages

*) 2002-02-22 (1.5.12 - 1.7.0)

 - Rene Rebe: Description (categories) and other updates in extra1
 - Download: Improved auto-detection of best mirror

*) 2002-02-19 (1.5.12 - 1.7.0)

 - Stefan Paletta: Fixed dhcp (usr/local), Updated lvm-1.0.3 and quota-3.03
 - Fixed pkg-check and optimized kernel config (thanks to Stefan Paletta)
 - Rene Rebe: Added category info to gnome pkgs, updated reiserfsprogs-3.x.1a
 - Moved kde/* and gnome/* packages to x11 repository

*) 2002-02-18 (1.5.12 - 1.7.0)

 - Download: use mirrors by default, added best mirror autodetection
 - Cleanup: don't remove an existing dist-* directory automatically

*) 2002-02-17 (1.5.12 - 1.7.0)

 - Rewrite on the rock-debug package (faster and much cleaner)
 - Fixed cups (init script) and vim (don't create "vi" symlink)
 - Rene Rebe: Added category information to 240 packages
 - Removed packages console-tools and console-data (thx to Rene)
 - Rene Rebe: Updated man-pages-1.47 and removed isapnptools
 - Replaced hardcoded target and architecture list with dynamic code
 - Added Meta-Checksum 'X' for packages without a checksum
 - Added dynamic config option for selecting the compiler

*) 2002-02-16 (1.5.12 - 1.7.0)

 - Added scripts/Update-System (works good, but it's just a test for now)
 - Dialog: Added DIALOG_(CANCEL|OK)TEXT config variable for runlvedit
 - More adoptions in pkg-* scripts, OpenSSH fixes
 - Refetched Sourceforge Packages

*) 2002-02-14 (1.5.12 - 1.7.0)

 - Tobias Rittweiler: Improved pkg-diff and pkg-remove
 - Updated sendmail-8.12.2, modutils-2.4.13, lilo-22.2,
           iptables-1.2.5, ncftp-3.1.2
 - New 'pkg-update' script in shell (based on Tobias Rittweilers' code)

*) 2002-02-13 (1.5.12 - 1.7.0)

 - Added scripts/Update-Sourceforge (refetch sf packages using cvs)
 - Refetched sf packages (fixed some download URLs and cksums)
 - Config: adopt 'Packages' file while running config.in files
 - Config: added first 'Package Option': choose between gcc2 and gcc3
 - Some changes and fixes in the Download script and ftp mirror structure
 - Build glibc also in native stages 2-9

*) 2002-02-12 (1.5.12 - 1.7.0)

 - Rene Rebe: Some gnome fixes, Created 'extra' repository.
 - Renamed 'scripts/Update' to 'scripts/Update-Src'
 - scripts/Download is now using 'download' as -alt-dir default value
 - Added scripts/Create-UpdList (list of packages which should be updated)

*) 2002-02-08 (1.5.12 - 1.7.0)

 - Pjotr Prins: Spelling fixes and added comments to scripts
 - Tobias Rittweiler: Various cleanups/rewrites in pkg-tools

*) 2002-02-06 (1.5.12 - 1.7.0)

 - Rene Rebe: Various gnome, kde and x11 updates (updated mozilla-0.9.8)
 - Fixed various download checksums,  Updated galeon-1.0.3

*) 2002-02-05 (1.5.12 - 1.7.0)

 - Added Documentation/Developers/INIT-META-FORMAT
 - Fixed various download checksums

*) 2002-02-04 (1.5.12 - 1.7.0)

 - Rene Rebe: Fixed libmng (desc file error)
 - Rene Rebe: Added Added eject-2.0.10 and swi-prolog-pl-4.0.11
 - Rene Rebe: Added libusb-0.1.4, lm_sensors-2.6.2 and octave-2.1.35
 - Rene Rebe: Added german, french and spanish aspell dictionaries
 - Rene Rebe: A lot of gnome/x11 fixes updates and additions

*) 2002-01-31 (1.5.12 - 1.7.0)

 - Fixed ./scripts/Download to handle Ctrl-C correctly (curl returncode 130)
 - Various other ./scripts/Download improvements,  Updated rsync-2.5.2

*) 2002-01-30 (1.5.12 - 1.7.0)

 - Rene Rebe: Fixed bdb (install docs), openssl (also build shared lib),
 - Rene Rebe: Some gnome and kde fixes and updates
 - Fixed permissions of etc/rc.d/{rc,boot,down} (thx to Rene)
 - Fixed misc/archive/extconv.sh (thx to Jimmy)
 - Refetched all sourceforge packages

*) 2002-01-28 (1.5.12 - 1.7.0)

 - Added curl-7.9.3,  Now using curl for ./scripts/Download

*) 2002-01-27 (1.5.12 - 1.7.0)

 - Rene Rebe: Many updates and fixed in the X11, GNOME and KDE trees
 - Rene Rebe: Updated reiserfsprogs-3.x.0k, Updated XFree86-4.2.0
 - Rene Rebe: Fixed package URLs and build order

*) 2002-01-26 (1.5.12 - 1.7.0)

 - Rene Rebe: Updated grub-0.91 and downgraded qt-2.3.1
 - Rene Rebe: Fixed lprng and raidtools

*) 2002-01-25 (1.5.12 - 1.7.0)

 - Re-added /lib/cpp (shell script, just calling 'gcc -E')
 - Rene Rebe: Updated PKG-CATEGORIES, Moved 'qt' to kde tree
 - Re-implemented ./scripts/Internal list-err {root-dir}

*) 2002-01-24 (1.5.12 - 1.7.0)

 - Rene Rebe: Updated bison-1.32 and fixed download URLs for gcc and ppp
 - Fixed gzip (removed assembler compilation patch) and kiss (down filename)
 - Updated glibc-2.2.5 and fixed various file cksums

*) 2002-01-23 (1.5.12 - 1.7.0)

 - Added content to Documentation/Developers/PKG-CATEGORIES (thx to Rene)
 - Rene Rebe: Updated some Documentation/Developers/* files
 - Rene Rebe: Big updates to package/gnome and package/kde tree
 - Rene Rebe: Moved (more) packages from base to x11 and gnome
 - Sebastian Jaenicke: Updated Imagemagick-5.4.2-3
 - Downgraded dhcp-3.0 (stable),  Re-fetched sourforge tree
 - Fixed ./scripts/Internal make-cksum-patch

*) 2002-01-22 (1.5.12 - 1.7.0)

 - Rene Rebe: Created new repository 'gnome' and moved packages from base
 - Download: replaced '-base' with '-required', default action is help

*) 2002-01-19 (1.5.12 - 1.7.0)

 - Julianne Frances Haugh: fixed 'shadow' license information
 - Sebastian Jaenicke: Updated whois-4.5.18, ntp-4.1.72,
                       ImageMagick-5.4.2-2 and dhcp-3.0.1rc5
 - Sebastian Jaenicke: Fixed URL for pidentd and dialog

*) 2002-01-15 (1.5.12 - 1.7.0)

 - Ripclaw: added silo package and silo patch to mkisofs
 - skaar: $MAKE -j1 for ghostscript, gnome-applets, mozilla, netpbm, shadow
 - skaar: Updated ImageMagick-5.4.1, Fixed ghostscript and shadow
 - Added './scripts/Create-CrossCC -cleanup'

*) 2002-01-11 (1.5.12 - 1.7.0)

 - Ripclaw: various spelling corrections
 - skaar: Updated ifhp-3.5.2, ImageMagick-5.4.1-2, iptables-1.2.4,
                  kiss-0.21, lesstif-0.93.18, libpng-1.2.1, ncftp-3.1.1,
                  pine4.44, Python-2.2, rsync-2.5.1 and shadow-4.0.1
 - Updated openssh-3.0.2p1 and openssl-0.9.6c
 - Sebastian Jaenicke: updated mutt-1.3.25i

*) 2002-01-09 (1.5.12 - 1.7.0)

 - Various bugfixes and cleanups
 - Flist Wrapper: automatically detect package dependencies

*) 2002-01-07 (1.5.12 - 1.7.0)

 - Hackbard: $ROCKCFG_ID should not contain ':' (confuses tar)
 - Piotr Esden-Tempski: Updated some download/misc/ packages
 - Pjotr Prins: Spelling corrections in Build-Pkg
 - Chris: Updated galeon-1.0.2 and mozilla-0.9.7
 - Chris: Fixed mozilla installation (thx to Rene Rebe)
 - Piotr Esden-Tempski: Download '-alt-dir' option
 - Rene Rebe: Added fileutils copy-symlink.patch
 - New Runlevel Editor (shell script using 'dialog')
 - Updated Documentation/Misc-Stuff/3rd-Party/fhs.txt

*) 2002-01-04 (1.5.12 - 1.7.0)

 - New Config option for 'gcc -fstack-protector' ($ROCKCFG_STACK_PROTECTOR)
 - Renamed targets -> target and pkg-archive/* -> download/P_*
 - Renamed pkg-config -> package and opt-archive -> download/misc
 - Some minor bugfixes/cleanups

*) 2002-01-03 (1.5.12 - 1.7.0)

 - Fixed modules and ghostscript (s:base-archive:pkg-archive/base:)
 - Moved init scripts from /etc/init.d to /etc/rc.d/init.d
 - Some minor bugfixes/cleanups

*) 2002-01-01 (1.5.12 - 1.7.0)

 - Happy new year!
 - Added $ROCKCFG_ID (an extended version string including config)
 - Redesign and cleanup in Build-Pkg, Build-Tar, and Cleanup
 - Stagelevel fixes in bash, gcc, pdksh, tar and util-linux
 - Build-Target should work now for all stages (entire build)
 - Added architecture dependency for bin86 and grub (intel only)
 - Download: removed bash-only code - should also work with ksh now
 - Added a build option for "Paranoia Checks" (like swap check)
 - Build-Pkg: use "src.<long-unique-id>" instead of "src"
 - Added Documentation/Developers/PKG-BUILD-VARS
 - Refetched all sourceforge packages
